export declare const isFunction: (value: unknown) => value is Function;
export declare const isObject: (obj: any) => boolean;
export declare const isArray: (arr: any) => boolean;
export declare const COLORMAP: {
    primary: string;
    success: string;
    error: string;
    warning: string;
    info: string;
    other: string;
    default: string;
};
export declare const isVisible: (visible: boolean | Function, any: any) => boolean;
export declare const isDisabled: (disabled: boolean | Function, any: any) => boolean;
export declare const StatusTypeIcon: {
    success: JSX.Element;
    warning: JSX.Element;
    error: JSX.Element;
    help: JSX.Element;
    notice: JSX.Element;
};
