"use strict";

exports.__esModule = true;
exports.isVisible = exports.isObject = exports.isFunction = exports.isDisabled = exports.isArray = exports.StatusTypeIcon = exports.COLORMAP = void 0;

var React = _interopRequireWildcard(require("react"));

var _icons = require("@ant-design/icons");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var isFunction = function isFunction(value) {
  return typeof value === 'function';
};

exports.isFunction = isFunction;

var isObject = function isObject(obj) {
  return Object.prototype.toString.call(obj) === '[object Object]';
};

exports.isObject = isObject;

var isArray = function isArray(arr) {
  return Object.prototype.toString.call(arr) === '[object Array]';
};

exports.isArray = isArray;
var COLORMAP = {
  primary: '#1890FF',
  success: '#23CBB7',
  error: '#F15A5A',
  warning: '#FAAD14',
  info: '#999',
  other: '#9C7AFF',
  "default": '#999'
};
exports.COLORMAP = COLORMAP;

var isVisible = function isVisible(visible, data) {
  if (visible === void 0) {
    visible = true;
  }

  return isFunction(visible) ? visible(data) : visible;
};

exports.isVisible = isVisible;

var isDisabled = function isDisabled(disabled, data) {
  return isFunction(disabled) ? disabled(data) : disabled;
};

exports.isDisabled = isDisabled;
var StatusTypeIcon = {
  success: /*#__PURE__*/React.createElement(_icons.CheckCircleFilled, null),
  warning: /*#__PURE__*/React.createElement(_icons.ExclamationCircleFilled, null),
  error: /*#__PURE__*/React.createElement(_icons.CloseCircleFilled, null),
  help: /*#__PURE__*/React.createElement(_icons.QuestionCircleFilled, null),
  notice: /*#__PURE__*/React.createElement(_icons.InfoCircleFilled, null)
};
exports.StatusTypeIcon = StatusTypeIcon;